# CfnTopicRuleProps

Properties for defining a `CfnTopicRule`.

Extends: CfnTopicRuleProps
Used as props by: CfnTopicRule

- Source: Generated code

## Example

```ts
// The generated example for this type would exceed 500 lines,
// and has been elided for readability.
```

## Properties

- `ruleName`: string — The name of the rule.

- `tags`: [CfnTag](/cdk/api/v2/docs/aws-cdk-lib.CfnTag.html)[] — Metadata which can be used to manage the topic rule.

  > For URI Request parameters use format: ...key1=value1&key2=value2...
  >
  > For the CLI command-line parameter use format: --tags "key1=value1&key2=value2..."
  >
  > For the cli-input-json file use format: "tags": "key1=value1&key2=value2..."

- `topicRulePayload`: [IResolvable](/cdk/api/v2/docs/aws-cdk-lib.IResolvable.html) | [CfnTopicRule.TopicRulePayloadProperty](/cdk/api/v2/docs/aws-cdk-lib.aws_iot.CfnTopicRule.TopicRulePayloadProperty.html) (required) — The rule payload.
